<?php

class Bootstrap extends Zend_Application_Bootstrap_Bootstrap
{

	protected function _initDoctype()
	{
		$this->bootstrap('view');
		$view = $this->getResource('view');
		$view->doctype('XHTML1_STRICT');

	}
	
    protected function _initLocale()
	{
		$locale = new Zend_Locale();
		$locale->setDefault("pl");
		$locale->setLocale("pl");
		setlocale(LC_ALL, 'pl_PL.UTF-8','pl_PL', 'pl', 'Polish_Poland.28592');
		Zend_Registry::set('Zend_Locale', $locale);

	}
	
	
	
    protected function _initRouter()
    {
        $frontController = Zend_Controller_Front::getInstance();
        $router = $frontController->getRouter();
        
        
        $config = new Zend_Config_Ini(APPLICATION_PATH . '/configs/routes.ini', 'production');
        $router = new Zend_Controller_Router_Rewrite();
        $router->addConfig($config, 'routes');
        $frontController->setRouter($router);
        
    }
    
    protected function _initSession()
    {
    	if( ! Zend_Session::isStarted() )
    	{
    		Zend_Session::start();
    
    	}
    }
    
    protected function _initMail()
    {
    	$tr = new Zend_Mail_Transport_Smtp('imagofilm.home.pl', array(
            'auth' => 'login',
            'username' => 'sklep@imagofilm.pl',
            'password' => 'polisa12',
            'ssl' => 'ssl',
            'port' => 465)
    	);
    	Zend_Mail::setDefaultTransport( new Zend_Mail_Transport_Sendmail());
    }
    
    

}

