<?php

 
class Application_Model_ProductCategories
{
	protected $_id;
	protected $_prodcut_id;
	protected $_prodcut_category_id;
    

    public function __construct(array $options = null)
    {
        if (is_array($options)) {
            $this->setOptions($options);
        }
    }
 
    public function __set($name, $value)
    {
        $method = 'set' . $name;
        if (('mapper' == $name) || !method_exists($this, $method)) {
            throw new Exception('Invalid page property');
        }
        $this->$method($value);
    }
 
    public function __get($name)
    {
        $method = 'get' . $name;
        if (('mapper' == $name) || !method_exists($this, $method)) {
            throw new Exception('Invalid page property');
        }
        return $this->$method();
    }
 
    public function setOptions(array $options)
    {
        $methods = get_class_methods($this);
        foreach ($options as $key => $value) {
            $method = 'set' . ucfirst($key);
            if (in_array($method, $methods)) {
                $this->$method($value);
            }
        }
        return $this;
    }
 
    public function setProductId($id)
    {
        $this->_prodcut_id = (int) $id;
        return $this;
    }
 
    public function getProductId()
    {
        return $this->_prodcut_id;
    }
    
    public function setProductCategoryId($id)
    {
    	$this->_prodcut_category_id = (int) $id;
    	return $this;
    }
    
    public function getProductCategoryId()
    {
    	return $this->_prodcut_category_id;
    }
  
    public function setId($id)
    {
        $this->_id = (int) $id;
        return $this;
    }
 
    public function getId()
    {
        return $this->_id;
    }
}