$(function(){

	$(".top").add(".bottom").fadeTo(0,0.3);
	
	$('.dictionaryRow').hover(function(){
		$(this).find('.top').fadeTo(0,1);
		$(this).find('.bottom').fadeTo(0,1);
	},
	function(){
		$(this).find('.top').fadeTo(0,0.3);
		$(this).find('.bottom').fadeTo(0,0.3);
	});
	
	$('#dictRangeMenu .handler').toggle(
           function()
           {
        	   $(this).parent().animate({"right": "+=220px"}, "fast");
           },
           function()
           {
        	   $(this).parent().animate({"right": "-=220px"}, "fast");
           }
	);
	
	$('#dictTypesMenu .handler').toggle(
	           function()
	           {
	        	   $(this).parent().animate({"right": "+=170px"}, "fast");
	           },
	           function()
	           {
	        	   $(this).parent().animate({"right": "-=170px"}, "fast");
	           }
	);
	  	

	$('#dictRangeMenu .handler').bind("click", function() {
	      var src = ($(this).attr("src") === "/images/range-menu-handler-off.png")
	                    ? "/images/range-menu-handler-on.png" 
	                    : "/images/range-menu-handler-off.png";
	      $(this).attr("src", src);
	});

	$('#dictTypesMenu .handler').bind("click", function() {
	      var src = ($(this).attr("src") === "/images/types-menu-handler-off.png")
	                    ? "/images/types-menu-handler-on.png" 
	                    : "/images/types-menu-handler-off.png";
	      $(this).attr("src", src);
	});
	
	$('.top').add('.bottom').click(function(){		
		openTopLayerWindow($(this));
		return false;
	});
	
	$('.center').click(function(){
		$('#content').fadeTo(0,1);
	});
	
	function openTopLayerWindow(eventItem){
		$('#site').fadeTo(0,0.3);
		
		$('#topLayer').show();
		$('#topLayerWindow').show();
		$('#topLayerWindow').css('left',screen.width/2-215);				
					
		loadEventContent(eventItem);
				
	}
	
	function loadEventContent(eventItem){
		
		$('#topLayerWindow #lead').html(eventItem.find('a').html());
		$('#topLayerWindow #description').html(eventItem.find('.description').html()); 
		
		imageWidth = ($('#lead img').length !=0 ) ? $('#lead img').width() : 0;
		$('#topLayerWindow #description').css('margin-left',imageWidth + 10);
		$('#topLayerWindow #description').css('width',370 - imageWidth);
		$("#lead span[class='small']").css('font-size','10px');
				
		loadNextEvent(eventItem);
		
	}
	
	function loadNextEvent(eventItem){
		
		$("#next").click(function(){		
			if (eventItem.next('.top').length) {
				nextEvent = eventItem.next('.top');
			}
			else{
				nextEvent = eventItem.parent().siblings('.event').find('.top');
			}
			loadEventContent(nextEvent);
			
			return false;
		});
	}
	
	$('#closeWindow').click(function(){	
		$('#topLayer').hide();
		$('#topLayerWindow').hide();
		$("#lead span[class='small']").css('font-size','14px');
		$('#site').fadeTo(0,1);		
	});

	$(window).load(function(){
	 if ($("#leftDict").length != 0 && $("#rightDict").length == 0){
		 $('#leftDict').jScrollPane({showArrows: true});
		 lImg = $("#leftDict .jspContainer .jspPane img")[0];
		 lImg.css('width',lImg.width());
		 lImg.css('height',lImg.height());
	 	 
	 }
	 else if($("#leftDict").length != 0 && $("#rightDict").length != 0){
		 $('#leftDict').jScrollPane({showArrows: true});
		 $('#rightDict').jScrollPane({showArrows: true});
		 
		 lImg = $("#leftDict .jspContainer .jspPane img");
		 lImg.css('width',lImg.width);
		 lImg.css('height',lImg.height);
		 
		 rImg = $("#rightDict .jspContainer .jspPane img");	
		 rImg.css('width',rImg.width);
		 rImg.css('height',rImg.height);	
		 
	 }
	 
	
		
	});
	
	 $(".dictList").selectbox({
			onOpen: function (inst) {
				//console.log("open", inst);
			},
			onClose: function (inst) {
				//console.log("close", inst);
			},
			onChange: function (val, inst) {
				$("#compareDictionaries").submit();
			},
			effect: "slide"
		});
		$(".nova").selectbox({
			effect: "fade"
		});
		$("#vehicle_id").selectbox({
			speed: 400
		});
	
	$("#dictionaryDescription li .linkHide").click(function(){
		$(this).parent().find('.info').toggle();
		$(this).toggleClass('toggleButton');
		return false;
	});
	
	
	 
});